Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 317667 - www-servers/tomcat-6: masked for removal
Summary: www-servers/tomcat-6: masked for removal
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard: Removal on 19/03
Keywords: PMASKED
Depends on:
Blocks: 322979 CVE-2015-5174, CVE-2015-5345, CVE-2015-5346, CVE-2015-5351, CVE-2016-0706, CVE-2016-0714, CVE-2016-0763
  Show dependency tree
 
Reported: 2010-04-28 20:05 UTC by Jeff Hubbs
Modified: 2016-03-22 21:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Hubbs 2010-04-28 20:05:36 UTC
www-servers/tomcat-6.0.26 

After install, /etc/conf.d/tomcat-6 contains the line "CATALINA_BASE=/var/lib/tomcat-6/".  

Deploy an app using its .war file via the Tomcat Manager; completes but does not start.  Look in /var/lib/tomcat-6/webapps and the war file and the top of the app's tree is there as expected.

However, /var/log/tomcat-6/catalina.out says

Apr 28, 2010 3:16:33 PM org.apache.catalina.core.StandardContext resourcesStart
SEVERE: Error starting static Resources
java.lang.IllegalArgumentException: Document base /usr/share/tomcat-6/webapps/myapp does not exist or is not a readable directory

What I'm working on is by no means guaranteed to work mostly because it's being migrated from an essentially abandoned Tomcat 5.0 platform, but this problem did *not* happen under the 6.0.20 ebuild.  As a temporary workaround, I propose to make a symlink /usr/share/tomcat-6/webapps/myapp to /var/lib/tomcat-6/webapps/myapp or perhaps even /usr/share/tomcat-6 to /var/lib/tomcat-6.


Reproducible: Always

Steps to Reproduce:
1.Install Tomcat 6.0.26 via Portage
2.Deploy WAR file via Tomcat Manager
3.Note app doesn't start; see errors in catalina.out



Expected Results:  
App should have at least started and its index page should have been browseable even if the datasource configuration was all broken.  This is how it was under 6.0.20.

Portage 2.1.8.3 (default/linux/x86/10.0, gcc-4.3.4, glibc-2.10.1-r1, 2.6.31-gentoo-r10 i686)
=================================================================
System uname: Linux-2.6.31-gentoo-r10-i686-Intel-R-_Xeon-TM-_CPU_3.06GHz-with-gentoo-1.12.13
Timestamp of tree: Mon, 26 Apr 2010 01:45:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.10
dev-lang/python:     2.4.4-r13, 2.5.2-r7, 2.6.4-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.65
sys-devel/automake:  1.10.2, 1.11.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.1.2, 4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium4 -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=pentium4 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://192.168.0.100"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://192.168.0.100/gentoo-portage"
USE="acl admin berkdb bzip2 c3p0 cli cracklib crypt cups cxx db2 dri examples fortran gdbm gpm iconv ipv6 java java5 java6 javamail modules mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl ssl sysfs tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa via vmware voodoo" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Patrice Clement (RETIRED) gentoo-dev 2016-02-20 23:02:31 UTC
tomcat:6 has been masked for removal:
# James Le Cuirot <chewi@gentoo.org> (19 Feb 2016)
# Upstream EOL is December 2016. We would rather focus on other things
# than support it until then. Removal in 30 days.          
www-servers/tomcat:6
Comment 2 James Le Cuirot gentoo-dev 2016-03-22 21:17:25 UTC
It's gone.